/* version.c */

/* Copyright 1997-2000 by Eberhard Mattes <em-gw@windhager.de>
   Donated to the public domain.  No warranty.

   1997-09-12 Initial version
   1997-10-21 Version 305: ipaddr_parse() and ipaddr_compare()
   2000-04-07 Version 306: pid_fname argument of do_fastdaemon()
   2000-05-12 Version 307: fix emi_fill()
   2000-05-27 Version 308: do_fastdaemon() and parse_fastdaemon()
   2000-05-31 Version 400: FLAGS argument for copy_bidir()
   2000-08-08 Version 401: Bigger buffer for emo_vprintf() */

#include <stdlib.h>
#include "libemfw.h"

/* Return the version number of libemfw.  The least significant two
   decimal digits of the version number are the minor version number;
   all other decimal digits are the major version number.  The minor
   version number is incremented for bug fixes and added features, the
   major version number is incremented for incompatible changes (and
   the minor version number will be reset to zero). */

unsigned libemfw_version (void)
{
  return 401;
}
