/*
 * Copyright 2009 Security Technology Research
 * All rights reserved. 
 */


struct hdr_line
{
  struct hdr_line *next;	/* Pointer to next element */
  char *line;			/* Pointer to malloc()ed buffer */
  size_t length;		/* Length of line */
};

char* header_field_value(const struct hdr_line *, size_t *);
struct hdr_line *header_read (EMI_FILE *, const char *);
void header_write (EMO_FILE *, const struct hdr_line*);
void header_add_line (struct hdr_line **, const char *);
void header_insert_line (struct hdr_line **, const char *);
void header_free(struct hdr_line **);
void header_drop(struct hdr_line **, struct hdr_line *);
struct hdr_line* header_field_by_name (struct hdr_line *, const char *);
int header_is_truncated (const struct hdr_line *);

