/**
 * @file   gsb_updater.c
 * @author Alex Ott <alexott@gmail.com>
 * 
 * @brief  Implementation of updater for GSB
 * 
 * 
 */

#include "gsb_common.h"
#include <stdio.h>
#include <sys/file.h>

/** 
 * 
 * 
 * @param fname 
 * @param file 
 * 
 * @return 
 */
int gsb_write_file(const char* fname, gsb_file* gsb) {
	FILE* file;
	int fd;
	if(!gsb) {
	    fprintf(stderr,"NULL pointer!\n");
		return -1;
	}
	
	file=fopen(fname, "w");
	if (!file) {
	    fprintf(stderr,"Error opening file \"%s\"\n",fname);
		return -1;
	}
	fd=fileno(file);
	flock(fd,LOCK_EX);
	

	flock(fd,LOCK_UN);
	fclose(file);

	return 0;
}



int main(int argc, char** argv) {
	return 0;
}
